Contacts
List messages for contact
GET
/
v1
/
contacts
/
{identifier}
/
messages
List messages for contact
curl --request GET \
--url https://app.chatbotx.io/api/v1/contacts/{identifier}/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conversationId": "<string>",
"contactInboxId": "<string>",
"workspaceId": "<string>",
"text": "<string>",
"contentAttributes": "<string>",
"sourceId": "<string>",
"attachments": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sourceId": "<string>",
"mimeType": "<string>",
"width": -1,
"height": -1,
"size": -1,
"thumbnailPath": "<string>",
"originPath": "<string>",
"name": "<string>",
"workspaceId": "<unknown>",
"conversationId": "<unknown>",
"messageId": "<unknown>",
"url": "<string>"
}
],
"senderId": null,
"clientId": "<string>",
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"isAnonymous": true
},
"contact": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"emailVerified": true,
"emailOptIn": true,
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"lastReadAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"location": "<string>",
"locale": "<string>",
"timezone": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"broadcastSubscribedAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>"
}
}
],
"nextCursor": "<string>",
"prevCursor": "<string>"
}Authorizations
developerAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Was this page helpful?
⌘I
List messages for contact
curl --request GET \
--url https://app.chatbotx.io/api/v1/contacts/{identifier}/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conversationId": "<string>",
"contactInboxId": "<string>",
"workspaceId": "<string>",
"text": "<string>",
"contentAttributes": "<string>",
"sourceId": "<string>",
"attachments": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sourceId": "<string>",
"mimeType": "<string>",
"width": -1,
"height": -1,
"size": -1,
"thumbnailPath": "<string>",
"originPath": "<string>",
"name": "<string>",
"workspaceId": "<unknown>",
"conversationId": "<unknown>",
"messageId": "<unknown>",
"url": "<string>"
}
],
"senderId": null,
"clientId": "<string>",
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"isAnonymous": true
},
"contact": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"emailVerified": true,
"emailOptIn": true,
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"lastReadAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"location": "<string>",
"locale": "<string>",
"timezone": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"broadcastSubscribedAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>"
}
}
],
"nextCursor": "<string>",
"prevCursor": "<string>"
}